Skip to main content
POST
/
rawmetrics
Create usage event
curl --request POST \
  --url https://api.zenskar.com/rawmetrics \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "api_slug": "<string>",
  "dataschema": {},
  "column_order": [
    "<string>"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "api_slug": "<string>",
  "dataschema": {},
  "column_order": [
    "<string>"
  ],
  "usage_upload_enabled": false,
  "s3_path": "<string>",
  "error_log_s3_path": "<string>",
  "allow_partial_upload": true
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Headers

apiversion
integer | null

Body

application/json

Create RawMetric Request Schema

name
string
required

name of the rawmetric

api_slug
string
required

rawmetric slug name

dataschema
Dataschema · object
required

Data schema of raw metric

column_order
string[] | null

Order of the columns in the raw metric table

Response

Successful Response

RawMetric Response Schema

id
string<uuid>
required

RawMetric Id

name
string
required

name of the raw metric

api_slug
string
required

api slug raw metric name

dataschema
Dataschema · object
required

Data schema raw metric

column_order
string[] | null

Order of the columns in the raw metric table

usage_upload_enabled
boolean
default:false

Whether S3 usage upload is enabled

s3_path
string | null

Combined S3 bucket and directory path

error_log_s3_path
string | null

Combined error log S3 bucket and directory path

allow_partial_upload
boolean | null

Whether partial upload is allowed